Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware
Class ConnectionPropertyValue

    java.lang.Object
      portlets.compoze.groupware.ConnectionPropertyValue

All Implemented Interfaces:
  java.io.Serializable

public class ConnectionPropertyValue
extends java.lang.Object
implements java.io.Serializable

This class represents a connection property value.

See Also:
  Serialized Form

Constructor Summary
`ConnectionPropertyValue(ConnectionProperty property)` Constructor.
`ConnectionPropertyValue(ConnectionProperty property, java.lang.String sValue)` Constructor.

Method Summary
`static ConnectionPropertyValue[]` | `copyValues(ConnectionPropertyValue[] values)` Copies the connection property values.
`ConnectionProperty` | `getConnectionProperty()` Gets the connection property.
`ConnectionPropertyValue` | `getCopy()` Copies the connection property value.
`java.lang.String` | `getValue()` Gets the connection property value.
`void` | `setValue(java.lang.String sValue)` Sets the connection property value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionPropertyValue

    public ConnectionPropertyValue(ConnectionProperty property)

  Constructor.

Parameters:
  `property` - the connection property

### ConnectionPropertyValue

    public ConnectionPropertyValue(ConnectionProperty property,
                                   java.lang.String sValue)

  Constructor.

Parameters:
  `property` - the connection property
  `sValue` - the value (may not be `null`)

Method Detail

### getValue

    public java.lang.String getValue()

  Gets the connection property value.

  Returns:
    the value

### setValue

    public void setValue(java.lang.String sValue)

  Sets the connection property value.

  Parameters:
    `sValue` - the value (may not be `null`)

### getConnectionProperty

    public ConnectionProperty getConnectionProperty()

  Gets the connection property.

  Returns:
    the property

### getCopy

    public ConnectionPropertyValue getCopy()

  Copies the connection property value.

  Returns:
    a copy of this connection property value

### copyValues

    public static ConnectionPropertyValue[] copyValues(ConnectionPropertyValue[] values)

  Copies the connection property values.

  Parameters:
    `values` - the values to copy (may not be `null`)
  Returns:
    a copy of this connection property values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.